Skip to main content

Get a service request by ID

GEThttps://api.propexo.com/v1/service-requests/:service_request_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the service request

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    maintenance/getWorkOrders
    Example: srX123
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    maintenance/getWorkOrders
    Example: property456
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_unit_idnullrequired

    The external ID of the unit from the integration vendor

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_sub_task_idnullrequired

    The external ID of the sub task from the integration vendor

    Notice

    This field will always be null for ENTRATA

    Example: null
    access_is_authorizedboolean | nullnullablerequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    Method
    maintenance/getWorkOrders
    Example: true
    access_notesstring | nullnullablerequired

    Notes regarding access to the unit associated with the service request

    Method
    maintenance/getWorkOrders
    Example: Access allowed from 9 AM to 5 PM
    buildingstring | nullnullablerequired

    The building name associated with the service request

    Method
    maintenance/getWorkOrders
    Example: Building A
    completion_notesstring | nullnullablerequired

    Closing notes associated with the service request

    Method
    maintenance/getWorkOrders
    Example: Issue resolved
    date_completedstring | nullnullablerequired

    The date the service request was completed

    Important

    Date filtering for service requests in Entrata is partially based on this field. Not all field updates are counted towards updated dates for filtering.

    Method
    maintenance/getWorkOrders
    Example: 2024-07-01T00:00:00.000Z
    date_createdstring | nullnullablerequired

    The date the service request was created

    Important

    Date filtering for service requests in Entrata is partially based on this field. Not all field updates are counted towards updated dates for filtering.

    Method
    maintenance/getWorkOrders
    Example: 2024-06-01T00:00:00.000Z
    date_duestring | nullnullablerequired

    The due date associated with the service request

    Method
    maintenance/getWorkOrders
    Example: 2024-06-10T00:00:00.000Z
    date_scheduledstring | nullnullablerequired

    The date the service request is scheduled

    Method
    maintenance/getWorkOrders
    Example: 2024-06-05T00:00:00.000Z
    notesnullrequireddeprecated

    DEPRECATED: Please use 'history' for reading notes regarding the service request

    Notice

    This field will always be null for ENTRATA

    Example: null
    service_categorystring | nullnullablerequired

    The category of service request

    Important

    Date filtering for service requests in Entrata is partially based on this field. Not all field updates are counted towards updated dates for filtering.

    Method
    maintenance/getWorkOrders
    Example: Plumbing
    service_descriptionstring | nullnullablerequired

    A description of the service request

    Important

    Date filtering for service requests in Entrata is partially based on this field. Not all field updates are counted towards updated dates for filtering.

    Method
    maintenance/getWorkOrders
    Example: Fix the leaky faucet
    service_detailsstring | nullnullablerequired

    Details about the service request

    Method
    maintenance/getWorkOrders
    Example: Fixed the leaky faucet in the kitchen
    service_prioritynullrequired

    The priority level associated with the service request

    Notice

    This field will always be null for ENTRATA

    Example: null
    status_rawnullrequired

    The raw status associated with the service request

    Notice

    This field will always be null for ENTRATA

    Example: null
    vendor_notesnullrequired

    Vendor/technician notes associated with the service request

    Notice

    This field will always be null for ENTRATA

    Example: null
    unit_numberstring | nullnullablerequired

    The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    Method
    maintenance/getWorkOrders
    Example: A202
    order_numbernullrequired

    The order number of the service request

    Notice

    This field will always be null for ENTRATA

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idnullrequired

    The Propexo unique identifier for the unit

    Notice

    This field will always be null for ENTRATA

    Example: null
    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee

    Method
    maintenance/getWorkOrders
    Example: cl7t4tlme0000usxq5zk0e5gl
    vendors object[]required

    List of vendor IDs associated with the service request

    Notice

    This field is not currently hydrated for ENTRATA

  • Array [
  • vendor_idstringrequired
    Notice

    This field is not currently hydrated for ENTRATA

  • ]
  • history object[]required

    History of notes and/or updates related to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    maintenance/getWorkOrders
    Example: srnX123
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    Method
    maintenance/getWorkOrders
    Example: 2024-06-18T00:00:00.000Z
    notesstringrequired

    Notes describing the service request history

    Method
    maintenance/getWorkOrders
    Example: Follow up on the issue
    creator_namenullrequired

    The name of the person or user that created the service request history

    Notice

    This field will always be null for ENTRATA

    Example: null
    status_rawnullrequired

    The raw status from the service request history

    Notice

    This field will always be null for ENTRATA

    Example: null
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    Method
    maintenance/getWorkOrders
    Example: cl7t4tlme0000usxq5zk0e5gl
  • ]
  • employees object[]required

    An array of all employees assigned to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the employee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeadPickLists
    maintenance/getWorkOrderPickLists
    Example: abc123
    namestring | nullnullablerequired

    The name associated with the employee

    Method
    leads/getLeadPickLists
    maintenance/getWorkOrderPickLists
    Example: John Doe
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-requests/:service_request_id
curl https://api.propexo.com/v1/service-requests/:service_request_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "srX123",
"x_property_id": "property456",
"x_location_id": null,
"x_unit_id": null,
"x_sub_task_id": null,
"access_is_authorized": true,
"access_notes": "Access allowed from 9 AM to 5 PM",
"building": "Building A",
"completion_notes": "Issue resolved",
"date_completed": "2024-07-01T00:00:00.000Z",
"date_created": "2024-06-01T00:00:00.000Z",
"date_due": "2024-06-10T00:00:00.000Z",
"date_scheduled": "2024-06-05T00:00:00.000Z",
"service_category": "Plumbing",
"service_description": "Fix the leaky faucet",
"service_details": "Fixed the leaky faucet in the kitchen",
"service_priority": null,
"status_raw": null,
"vendor_notes": null,
"unit_number": "A202",
"order_number": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": null,
"employee_id": "cl7t4tlme0000usxq5zk0e5gl",
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "srnX123",
"x_created_at": "2024-06-18T00:00:00.000Z",
"notes": "Follow up on the issue",
"creator_name": null,
"status_raw": null,
"service_request_id": "cl7t4tlme0000usxq5zk0e5gl"
}
],
"employees": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "abc123",
"name": "John Doe"
}
]
}
}